Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_get_target

## Name

librdf_model_get_target -- return one target (object) of an arc in an RDF graph given source (subject) and arc (predicate)

## Synopsis

``librdf_node* `librdf_model_get_target`` (librdf_model * `model`, librdf_node * `source`, librdf_node * `arc`);`

## Arguments

`model`

  librdf_model object

`source`

  librdf_node source

`arc`

  librdf_node arc

## Description

Searches the model for targets matching the given source and arc and returns one librdf_node object

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_get_arc | Up | librdf_model_add_submodel